summaryrefslogtreecommitdiff
path: root/tests/cert-tests/cert-sanity
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cert-tests/cert-sanity')
-rwxr-xr-xtests/cert-tests/cert-sanity6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/cert-tests/cert-sanity b/tests/cert-tests/cert-sanity
index edcefe963c..15e13a122e 100755
--- a/tests/cert-tests/cert-sanity
+++ b/tests/cert-tests/cert-sanity
@@ -50,6 +50,12 @@ if test "${rc}" != 1; then
exit 1
fi
+${VALGRIND} "${CERTTOOL}" -i --infile "${srcdir}/data/x509-v3-with-fractional-time.pem"
+rc=$?
+if test "${rc}" != 1; then
+ echo "X509v3 certificate with fractional time was accepted"
+ exit 1
+fi
exit 0